Subject: Re: A question about the /dev/ide

From: Clemens Koller <[email-masked]>
Date: Thu, 15 Sep 2005 12:41:20 +0200

Hello, Wang Baohua!

FCG WANG Baohua wrote:
> Dear all:
>   I had use the UPM of MPC8270 to create the device driver of my pcmcia CF card. 

Just an idea: There are IDE-to-CF adapters and PCI-IDE adapters with working drivers.
(for evaluation)

> How to create the "/dev/hda" device nodes? I had only "/dev/ide" device nodes,
> I want to use command like  "mkswap /dev/hda4".
> When I use "mkswap /dev/ide/host0/bus0/target0/lun0/part1p4",
> it shows the "No such file or directory" message. How can I create 
> the right device nodes? thanks!

man mknod?

But maybe you want to read some more things about devfs, udev, ... /etc/devfsd.conf
before you know what you are doing there?
Well... all that depends on your kernel/system config a bit...

Best greets,

-- 
Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm.de
Phone: +49-89-741518-50
Fax: +49-89-741518-19